GNU bug report logs - #41788
28.0.50; emacsclient -t doesn't work with vipe from moreutils

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Platon Pronko <platon7pronko@HIDDEN>; Done: Eli Zaretskii <eliz@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 41788-done <at> debbugs.gnu.org:


Received: (at 41788-done) by debbugs.gnu.org; 14 Jun 2022 11:27:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 14 07:27:18 2022
Received: from localhost ([127.0.0.1]:33106 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o14hR-0005O4-63
	for submit <at> debbugs.gnu.org; Tue, 14 Jun 2022 07:27:18 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38956)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1o14hP-0005Ns-KW
 for 41788-done <at> debbugs.gnu.org; Tue, 14 Jun 2022 07:27:07 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33208)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1o14gr-0004MP-HA; Tue, 14 Jun 2022 07:26:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=SxlwRTcZWOJj5SiwsLN1DgN47CzMoEtEHNRJoM9dq7Y=; b=lYV56jpEVuiy
 be/mriUux8YwOpjB5xqMu34Ue+NPxGlb3DT+GVT4pEDlNvTl5gi0wC344dyhKntDBLWuwQbhtcLj0
 7RZ0EV3+1Y9YZrj9bSo+AipAm0EEoskvplB82mv6qlTxsI2L1tOaHsWRil8qo2832C51eGrFAg8Ty
 QA36myMuQpHna8vihRRcXhRcEvvrDfw6lMAQT2MkZEFq4oB0ha14qnnr4gD0VfHE6ox+mKJhJJBYc
 xplSluL6vtDT+MgXGNxn5cvpKCOfyoGjp/TaT+0zoKRBKYl2SN6glpSjFk+f5uf6yzyMYueajSMgS
 qqaeDHA5DvgPlBbXNi4gHg==;
Received: from [87.69.77.57] (port=3347 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1o14gq-0002ll-Nq; Tue, 14 Jun 2022 07:26:33 -0400
Date: Tue, 14 Jun 2022 14:26:22 +0300
Message-Id: <83czfbtrj5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Platon Pronko <platon7pronko@HIDDEN>
In-Reply-To: <a46721a6-4961-11c5-7fce-c97d1ed6ae19@HIDDEN> (message from
 Platon Pronko on Tue, 14 Jun 2022 07:38:52 +0300)
Subject: Re: bug#41788: 28.0.50;
 emacsclient -t doesn't work with vipe from moreutils
References: <288bd9d3-1c7c-e3fa-fd02-e1287f8329ec@HIDDEN>
 <87wndtuc1k.fsf@HIDDEN> <87r141hmww.fsf@HIDDEN>
 <87leu9sv7h.fsf@HIDDEN> <87mtephi8z.fsf@HIDDEN> <83zgip7mhp.fsf@HIDDEN>
 <87bkv5hemr.fsf@HIDDEN> <a46721a6-4961-11c5-7fce-c97d1ed6ae19@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41788-done
Cc: 41788-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Tue, 14 Jun 2022 07:38:52 +0300
> From: Platon Pronko <platon7pronko@HIDDEN>
> 
> Seems that this issue can be closed as "wontfix", since the problem is not on Emacs side?

Agreed; done.

Thanks.




Notification sent to Platon Pronko <platon7pronko@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Eli Zaretskii <eliz@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 41788 <at> debbugs.gnu.org:


Received: (at 41788) by debbugs.gnu.org; 14 Jun 2022 04:39:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 14 00:39:03 2022
Received: from localhost ([127.0.0.1]:60907 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o0yKV-0001Iw-0u
	for submit <at> debbugs.gnu.org; Tue, 14 Jun 2022 00:39:03 -0400
Received: from mail-lj1-f169.google.com ([209.85.208.169]:36527)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <platon7pronko@HIDDEN>) id 1o0yKT-0001IQ-QG
 for 41788 <at> debbugs.gnu.org; Tue, 14 Jun 2022 00:39:02 -0400
Received: by mail-lj1-f169.google.com with SMTP id h23so8389074ljl.3
 for <41788 <at> debbugs.gnu.org>; Mon, 13 Jun 2022 21:39:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:date:mime-version:user-agent:subject:content-language:to
 :references:from:in-reply-to:content-transfer-encoding;
 bh=/vmOkd0GlUXbAp3saO2PREVwZhK8UYuaGA7Vf5KVBM0=;
 b=JHb9apabFERvy3inpz50GrNPtfXZaL2vw/+7vb3W5luA2KMNxKcZv7H1GTJsSfpIxv
 xYN5AGFeONqcu2r98tRRnkMBD8ExdDZODGbtkxnB34pPXpJP17UutdnkplhH4y28QXvI
 75Ci1SuxcVfMsrQ8W28Ba4El1tKapULQDpB9x2WGIm6aWxZ3SaDnw+W1D2zaDDY7wpqW
 B6tumxRvL56GC211VVa1Z0VefqI7u+kTcFsKGAgsPTSo05cIU1iLdInCGQvAdlQaaD5D
 pIrwpdZDXB+fdOiKyH0vX+RHxcVs/o4yt3uD0sBH1uCUd4L4Avr7El6c+T0d2aXJpE74
 rS5w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:date:mime-version:user-agent:subject
 :content-language:to:references:from:in-reply-to
 :content-transfer-encoding;
 bh=/vmOkd0GlUXbAp3saO2PREVwZhK8UYuaGA7Vf5KVBM0=;
 b=rex5kJvMUm4PjlpIDAKrbcMzXOoR0Bqze3PoN7FIJKIT2cfw7ZyBnhoiMuUPZEduFm
 WDdq0wxWlxg+i1+Ik2FV23Pgh8HM7TMrnOHXmoyjR3u9oWYT6x8oOAXL9L/M//0VTz4s
 +agf7WjAfCWFjPFEF3Quy9Fn+8G6dgLSIBA6q9kEt63iSjKBEics3QIMLlrt/t2+Slg2
 lPD01ZkX2mCIi5GgpPxF0oCo5RWAJ6QhRpWEjTmierrD/pyeW/Ms1q8w1hnwZ2ieT5u5
 pzg/FNv5/Er4SvcdxzW9JYJfSOX27VQxYSsZV/0bNeF3wAC7sMs9XaKYqVjzVrvHiKpJ
 HMyA==
X-Gm-Message-State: AJIora+fu7D9tvDIxnGtxVpTwsm7BwhDISOJPFm2xKpHbnxP5PaGZ+mr
 aKutLGzUWwVFzvi9Wqi8TxuscR0kcyw=
X-Google-Smtp-Source: AGRyM1sQR8QtHUGLs4PfBzx939Klgk2icvDTrptqKIxkKqzdBS/Tt1BFUp9xJmBDfcBdIz8E6nK9tA==
X-Received: by 2002:a05:651c:8f:b0:255:8e6e:1980 with SMTP id
 15-20020a05651c008f00b002558e6e1980mr1434878ljq.462.1655181534879; 
 Mon, 13 Jun 2022 21:38:54 -0700 (PDT)
Received: from [192.168.1.7] ([46.138.249.39])
 by smtp.gmail.com with ESMTPSA id
 n20-20020a05651203f400b0047255d211e8sm1231283lfq.279.2022.06.13.21.38.53
 for <41788 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 13 Jun 2022 21:38:54 -0700 (PDT)
Message-ID: <a46721a6-4961-11c5-7fce-c97d1ed6ae19@HIDDEN>
Date: Tue, 14 Jun 2022 07:38:52 +0300
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.9.1
Subject: Re: bug#41788: 28.0.50; emacsclient -t doesn't work with vipe from
 moreutils
Content-Language: en-US
To: 41788 <at> debbugs.gnu.org
References: <288bd9d3-1c7c-e3fa-fd02-e1287f8329ec@HIDDEN>
 <87wndtuc1k.fsf@HIDDEN> <87r141hmww.fsf@HIDDEN>
 <87leu9sv7h.fsf@HIDDEN> <87mtephi8z.fsf@HIDDEN> <83zgip7mhp.fsf@HIDDEN>
 <87bkv5hemr.fsf@HIDDEN>
From: Platon Pronko <platon7pronko@HIDDEN>
In-Reply-To: <87bkv5hemr.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 41788
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Seems that this issue can be closed as "wontfix", since the problem is not on Emacs side?

--
Best regards,
Platon Pronko
PGP 2A62D77A7A2CB94E




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41788; Package emacs. Full text available.

Message received at 41788 <at> debbugs.gnu.org:


Received: (at 41788) by debbugs.gnu.org; 6 Jun 2022 17:43:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 06 13:43:13 2022
Received: from localhost ([127.0.0.1]:36743 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nyGky-0007ZH-VD
	for submit <at> debbugs.gnu.org; Mon, 06 Jun 2022 13:43:13 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:60786)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1nyGkw-0007Z6-62
 for 41788 <at> debbugs.gnu.org; Mon, 06 Jun 2022 13:43:11 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4LH16j3TWkz1r1fh;
 Mon,  6 Jun 2022 19:43:09 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4LH16j1ZLqz1qqkB;
 Mon,  6 Jun 2022 19:43:09 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id IspCFPt0o9yQ; Mon,  6 Jun 2022 19:43:08 +0200 (CEST)
X-Auth-Info: qQuOHSEu2CMKbC+tBPhvEDetI/k4deyAkxzAQGN20uN/yivVx2k/cA23lIxd6h5G
Received: from igel.home (ppp-46-244-164-156.dynamic.mnet-online.de
 [46.244.164.156])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Mon,  6 Jun 2022 19:43:08 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id 15BA52C3A42; Mon,  6 Jun 2022 19:43:08 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#41788: 28.0.50; emacsclient -t doesn't work with vipe from
 moreutils
References: <288bd9d3-1c7c-e3fa-fd02-e1287f8329ec@HIDDEN>
 <87wndtuc1k.fsf@HIDDEN> <87r141hmww.fsf@HIDDEN>
 <87leu9sv7h.fsf@HIDDEN> <87mtephi8z.fsf@HIDDEN>
 <83zgip7mhp.fsf@HIDDEN>
X-Yow: Yow!  I threw up on my window!
Date: Mon, 06 Jun 2022 19:43:08 +0200
In-Reply-To: <83zgip7mhp.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 06 Jun
 2022 20:03:30 +0300")
Message-ID: <87bkv5hemr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 41788
Cc: platon7pronko@HIDDEN, larsi@HIDDEN, 41788 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

On Jun 06 2022, Eli Zaretskii wrote:

> So you are saying that, instead of using "/dev/tty", vipe should use
> the actual name of the terminal device, obtained via the equivalent of
> the 'tty' command?

Yes, the meaning of /dev/tty depends on the process.

> Or is this impossible for what vipe wants to do?

It just needs to do the same as emacsclient.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41788; Package emacs. Full text available.

Message received at 41788 <at> debbugs.gnu.org:


Received: (at 41788) by debbugs.gnu.org; 6 Jun 2022 17:40:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 06 13:40:15 2022
Received: from localhost ([127.0.0.1]:36721 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nyGi7-0007TC-D4
	for submit <at> debbugs.gnu.org; Mon, 06 Jun 2022 13:40:15 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:45488)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1nyGi4-0007T0-Hm
 for 41788 <at> debbugs.gnu.org; Mon, 06 Jun 2022 13:40:13 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4LH13H1SNxz1s7tg;
 Mon,  6 Jun 2022 19:40:10 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4LH13G6HnJz1qqkB;
 Mon,  6 Jun 2022 19:40:10 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id W384g20J74qg; Mon,  6 Jun 2022 19:40:10 +0200 (CEST)
X-Auth-Info: aIKlAMIAf/WfmThBziOx271wLCftvG2wqh6ALq0x3ecVOun7IhYey+sAXIAWKR+j
Received: from igel.home (ppp-46-244-164-156.dynamic.mnet-online.de
 [46.244.164.156])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Mon,  6 Jun 2022 19:40:10 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id BB4542C3A42; Mon,  6 Jun 2022 19:40:09 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#41788: 28.0.50; emacsclient -t doesn't work with vipe from
 moreutils
References: <288bd9d3-1c7c-e3fa-fd02-e1287f8329ec@HIDDEN>
 <87wndtuc1k.fsf@HIDDEN> <87r141hmww.fsf@HIDDEN>
 <87leu9sv7h.fsf@HIDDEN> <87mtephi8z.fsf@HIDDEN>
 <87pmjlraa2.fsf@HIDDEN>
X-Yow: I have seen these EGG EXTENDERS in my Supermarket..
 ..  I have read the INSTRUCTIONS...
Date: Mon, 06 Jun 2022 19:40:09 +0200
In-Reply-To: <87pmjlraa2.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 06 Jun 2022 19:07:01 +0200")
Message-ID: <87fskhherq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 41788
Cc: Platon Pronko <platon7pronko@HIDDEN>, 41788 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

On Jun 06 2022, Lars Ingebrigtsen wrote:

> Andreas Schwab <schwab@HIDDEN> writes:
>
>> That associates the process with /dev/tty, not the real terminal.  But
>> the running Emacs process usually does not have a controlling terminal,
>> thus it cannot open /dev/tty.  It needs to know the real terminal to be
>> able to open a tty frame on it.
>
> This works fine, though:
>
>  echo a | EDITOR="emacs -nw" vipe
>
> It's only when using emacsclient that we get an error...

Of course, emacs -nw runs on the same terminal.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41788; Package emacs. Full text available.

Message received at 41788 <at> debbugs.gnu.org:


Received: (at 41788) by debbugs.gnu.org; 6 Jun 2022 17:07:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 06 13:07:15 2022
Received: from localhost ([127.0.0.1]:36662 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nyGCB-0004TC-2L
	for submit <at> debbugs.gnu.org; Mon, 06 Jun 2022 13:07:15 -0400
Received: from quimby.gnus.org ([95.216.78.240]:42524)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nyGC7-0004Sx-Gd
 for 41788 <at> debbugs.gnu.org; Mon, 06 Jun 2022 13:07:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=PCu0oLT0KGmUE0sG8tna+w7QBhHABpUzgqZbOXcCi2k=; b=hxgjF//G8QQ42K2FcLbgZ4meml
 2K5kNoBcajOHAyd9CoayiSGwTdt2V75LLJVb5UwWlP2ZLOk0HkHI7gTiUY5j4ZQRnIUrq8jMYT2iD
 XMdeLmCKwj7LBukNNzg0BOAlLHWmsv5Wgu9ujP53JKFo9BrlP4AqBpSaUW6NByDyMQO0=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nyGBy-0005tP-4t; Mon, 06 Jun 2022 19:07:04 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#41788: 28.0.50; emacsclient -t doesn't work with vipe from
 moreutils
References: <288bd9d3-1c7c-e3fa-fd02-e1287f8329ec@HIDDEN>
 <87wndtuc1k.fsf@HIDDEN> <87r141hmww.fsf@HIDDEN>
 <87leu9sv7h.fsf@HIDDEN> <87mtephi8z.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAAAXNSR0IArs4c6QAAAAxQTFRF
 sLCwf39+MzMx////WgGxBQAAAAFiS0dEAxEMTPIAAAAHdElNRQfmBgYRBgt6jk8KAAAA/ElEQVQo
 z33SO27DMAwAUMqIPHeIDdRH6CncIUsnBbAKJHuH6hQ9goe6Q2cpgHjKkvpyqgADfKAoi7QB/l/v
 3z1eEO1agYjhXOKRgNakWDlG2BJOmNaF46c54+AjtreMwEWry0AuupYYL7Rvrtgpc6+IBoYfbILh
 twFhiDLDiAV0s0fLUDOEkGu4geN+FIDDXX888jZ6a3y9MTxhQksPrS/uyHnQDUtIY0jdwbjysGIe
 ljLauQqaW3T4WQY3o3/BOtIBzfNex6viupgOONdZw+ihfQRYvPhWLkqIjArXjhlDx01AW3GAtqe+
 a7Kq3QU2+XtYESvCZAR6ptf8AXSIl74uHR0nAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIyLTA2LTA2
 VDE3OjA2OjEwKzAwOjAwzUlacgAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wNi0wNlQxNzowNjox
 MCswMDowMLwU4s4AAAA4dEVYdGljYzpjb3B5cmlnaHQAQ29weXJpZ2h0IChjKSAxOTk4IEhld2xl
 dHQtUGFja2FyZCBDb21wYW55+Vd5NwAAACF0RVh0aWNjOmRlc2NyaXB0aW9uAHNSR0IgSUVDNjE5
 NjYtMi4xV63aRwAAACZ0RVh0aWNjOm1hbnVmYWN0dXJlcgBJRUMgaHR0cDovL3d3dy5pZWMuY2gc
 fwBMAAAAN3RFWHRpY2M6bW9kZWwASUVDIDYxOTY2LTIuMSBEZWZhdWx0IFJHQiBjb2xvdXIgc3Bh
 Y2UgLSBzUkdCRFNIqQAAAABJRU5ErkJggg==
X-Now-Playing: Kelly Lee Owens's _Inner Song_: "Jeanette"
Date: Mon, 06 Jun 2022 19:07:01 +0200
In-Reply-To: <87mtephi8z.fsf@HIDDEN> (Andreas Schwab's message of "Mon, 06
 Jun 2022 18:25:00 +0200")
Message-ID: <87pmjlraa2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Andreas Schwab <schwab@HIDDEN> writes: > That
 associates
 the process with /dev/tty, not the real terminal. But > the running Emacs
 process usually does not have a controlling terminal, > thus it cannot open
 /dev/tty. It needs to know the r [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41788
Cc: Platon Pronko <platon7pronko@HIDDEN>, 41788 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Andreas Schwab <schwab@HIDDEN> writes:

> That associates the process with /dev/tty, not the real terminal.  But
> the running Emacs process usually does not have a controlling terminal,
> thus it cannot open /dev/tty.  It needs to know the real terminal to be
> able to open a tty frame on it.

This works fine, though:

 echo a | EDITOR="emacs -nw" vipe

It's only when using emacsclient that we get an error...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41788; Package emacs. Full text available.

Message received at 41788 <at> debbugs.gnu.org:


Received: (at 41788) by debbugs.gnu.org; 6 Jun 2022 17:03:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 06 13:03:49 2022
Received: from localhost ([127.0.0.1]:36657 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nyG8r-0004M2-Iy
	for submit <at> debbugs.gnu.org; Mon, 06 Jun 2022 13:03:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47102)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nyG8p-0004Lj-IE
 for 41788 <at> debbugs.gnu.org; Mon, 06 Jun 2022 13:03:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41624)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nyG8j-0000IX-RT; Mon, 06 Jun 2022 13:03:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=8e7+yZuuhAWUYhq4JW615qdDLlaIbE0M3DCion5pxgg=; b=hFRvCzdNzGF/
 UPKi6Wf2AIKPDXKEj/WZHjJZtFnytUEFpagnJN+P/FdWDyz2/PtYjrq5tcxmEz5QFfYX66LQkeSqv
 6BX+v5vuI0oxPsRy03glDosMIgo+SlApMtAFzviU7c3Cf7ziB92Wmk5ix5DU0xPj9B08uKVHXT7qq
 Y1THG5uErFsGZ0xQ5UHoNsRYxhfGQvdRjM3oIi9WcerMKdaHLvv+kI3/Sh15YtW42jMhpjB4eQOYK
 aiiXXBrA4C9bu6Q2KvUHsgOadIWnhq3VVOE4PJxuXl8B1KK/z9YYUo91SmcMDJz6L5GK/rdJZ2xnd
 nqlV3TV2sx0VnLpd+28hrw==;
Received: from [87.69.77.57] (port=4779 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nyG8i-0002ke-3p; Mon, 06 Jun 2022 13:03:40 -0400
Date: Mon, 06 Jun 2022 20:03:30 +0300
Message-Id: <83zgip7mhp.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
In-Reply-To: <87mtephi8z.fsf@HIDDEN> (message from Andreas Schwab on Mon,
 06 Jun 2022 18:25:00 +0200)
Subject: Re: bug#41788: 28.0.50;
 emacsclient -t doesn't work with vipe from moreutils
References: <288bd9d3-1c7c-e3fa-fd02-e1287f8329ec@HIDDEN>
 <87wndtuc1k.fsf@HIDDEN> <87r141hmww.fsf@HIDDEN>
 <87leu9sv7h.fsf@HIDDEN> <87mtephi8z.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41788
Cc: platon7pronko@HIDDEN, larsi@HIDDEN, 41788 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Resent-From: Andreas Schwab <schwab@HIDDEN>
> Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
> Resent-CC: bug-gnu-emacs@HIDDEN
> Resent-Sender: help-debbugs@HIDDEN
> Cc: Platon Pronko <platon7pronko@HIDDEN>, 41788 <at> debbugs.gnu.org
> From: Andreas Schwab <schwab@HIDDEN>
> Date: Mon, 06 Jun 2022 18:25:00 +0200
> 
> On Jun 06 2022, Lars Ingebrigtsen wrote:
> 
> > open(STDIN, "</dev/tty") || die "reopen stdin: $!";
> > open(OUT, ">&STDOUT") || die "save stdout: $!";
> > close STDOUT;
> > open(STDOUT, ">/dev/tty") || die "reopen stdout: $!";
> 
> That associates the process with /dev/tty, not the real terminal.  But
> the running Emacs process usually does not have a controlling terminal,
> thus it cannot open /dev/tty.  It needs to know the real terminal to be
> able to open a tty frame on it.

So you are saying that, instead of using "/dev/tty", vipe should use
the actual name of the terminal device, obtained via the equivalent of
the 'tty' command?  Or is this impossible for what vipe wants to do?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41788; Package emacs. Full text available.

Message received at 41788 <at> debbugs.gnu.org:


Received: (at 41788) by debbugs.gnu.org; 6 Jun 2022 16:25:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 06 12:25:07 2022
Received: from localhost ([127.0.0.1]:36607 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nyFXP-0000dr-Dv
	for submit <at> debbugs.gnu.org; Mon, 06 Jun 2022 12:25:07 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:59821)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1nyFXL-0000dB-TD
 for 41788 <at> debbugs.gnu.org; Mon, 06 Jun 2022 12:25:05 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4LGzNZ3Km1z1s88l;
 Mon,  6 Jun 2022 18:25:02 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4LGzNZ0x53z1qqkB;
 Mon,  6 Jun 2022 18:25:02 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id acvpPShfvSRu; Mon,  6 Jun 2022 18:25:01 +0200 (CEST)
X-Auth-Info: noiaje30/abibu9B6xbDg1bvwvjjeu4rnjDvSqrCZBz0tsoaBDBpTnu3kxSRpmAR
Received: from igel.home (ppp-46-244-164-156.dynamic.mnet-online.de
 [46.244.164.156])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Mon,  6 Jun 2022 18:25:01 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id C7D142C3A3F; Mon,  6 Jun 2022 18:25:00 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#41788: 28.0.50; emacsclient -t doesn't work with vipe from
 moreutils
References: <288bd9d3-1c7c-e3fa-fd02-e1287f8329ec@HIDDEN>
 <87wndtuc1k.fsf@HIDDEN> <87r141hmww.fsf@HIDDEN>
 <87leu9sv7h.fsf@HIDDEN>
X-Yow: Are we THERE yet??
Date: Mon, 06 Jun 2022 18:25:00 +0200
In-Reply-To: <87leu9sv7h.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 06 Jun 2022 16:49:38 +0200")
Message-ID: <87mtephi8z.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 41788
Cc: Platon Pronko <platon7pronko@HIDDEN>, 41788 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

On Jun 06 2022, Lars Ingebrigtsen wrote:

> open(STDIN, "</dev/tty") || die "reopen stdin: $!";
> open(OUT, ">&STDOUT") || die "save stdout: $!";
> close STDOUT;
> open(STDOUT, ">/dev/tty") || die "reopen stdout: $!";

That associates the process with /dev/tty, not the real terminal.  But
the running Emacs process usually does not have a controlling terminal,
thus it cannot open /dev/tty.  It needs to know the real terminal to be
able to open a tty frame on it.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41788; Package emacs. Full text available.

Message received at 41788 <at> debbugs.gnu.org:


Received: (at 41788) by debbugs.gnu.org; 6 Jun 2022 14:49:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 06 10:49:49 2022
Received: from localhost ([127.0.0.1]:36467 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nyE3B-000302-1l
	for submit <at> debbugs.gnu.org; Mon, 06 Jun 2022 10:49:49 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41260)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nyE39-0002zn-QE
 for 41788 <at> debbugs.gnu.org; Mon, 06 Jun 2022 10:49:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=mq+38UgdhUTAs3h7T+9eyUUFUtwgfdo+TDU0g0k5Cq0=; b=C/Yzb2zmpX50nY/rKxsHzsFvO0
 YJUR/fCUB/6WuDCzIKRpzwxDB+izvd3wg11c8hRnsoFTKbjKAcuATUBlJd2KpvUwxJnS4uCjamlJH
 3782GR/WuZeypKvf13u6gXFPIHZkQd6IP8ct3+4w3Us8uKmWW2/LYAybuUynsAi/hUH4=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nyE30-0004H7-Sn; Mon, 06 Jun 2022 16:49:41 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#41788: 28.0.50; emacsclient -t doesn't work with vipe from
 moreutils
References: <288bd9d3-1c7c-e3fa-fd02-e1287f8329ec@HIDDEN>
 <87wndtuc1k.fsf@HIDDEN> <87r141hmww.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEWFclhVQTIdEAv/
 //8rGVcNAAAAAWJLR0QDEQxM8gAAAAd0SU1FB+YGBg4NCvkHQhoAAAE5SURBVCjPTZIxbsMwDEXp
 Idk7tIOPkFN0cYdONWASiHYHsE7TRRo8xwbIU/aTEop4sPTMT0r8NA3Z/NkTXnSxBt8OY4M0QUHr
 KzzMPOsekBps7DlsxeEIWC+cEdPJQZmuus0EiZHpzJvxzyWgSEGRMiaHp2hSZmEBmBRR2e1wyHVn
 O3fLp0cqzlBc1RRgmrHzh3C8amxDZi46I2I71r3LUKB/d6ix1gZnz26yrmnQIvkFLOHgfxDUAKj3
 Y/MR8PvhRwqsAPCG6+Qi4UEzeBmj7Vu5JyQOAdncwOcU7uSCXHtGgWIOyp8OM0DceQdoK5xalwTA
 HGt2QGRLrTddb5hPTBsmvo9Gb70f+0pKQ4OHVUBvqAIOgqWeVu2UQhh3iq4PYaKpu6MrwP+EsLAs
 5EkxhcwOVx+Q9zr8AQi4PeGz57eYAAAAEGVYSWZJSSoACAAAAAAAAAAAAAAAnDy5KAAAACV0RVh0
 ZGF0ZTpjcmVhdGUAMjAyMi0wNi0wNlQxNDoxMzoxMCswMDowMFckIjgAAAAldEVYdGRhdGU6bW9k
 aWZ5ADIwMjItMDYtMDZUMTQ6MTM6MTArMDA6MDAmeZqEAAAAAElFTkSuQmCC
X-Now-Playing: Cabaret Of Complexity's _Tuxedomooning: A Tribute_: "Blind
 (full version)"
Date: Mon, 06 Jun 2022 16:49:38 +0200
In-Reply-To: <87r141hmww.fsf@HIDDEN> (Andreas Schwab's message of "Mon, 06
 Jun 2022 16:44:15 +0200")
Message-ID: <87leu9sv7h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Andreas Schwab <schwab@HIDDEN> writes: > It's not
 emacsclient that is complaining, it just displays the error > raised by emacs.
 But it is hard to guess what's going on without > knowing the exact command
 line. Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41788
Cc: Platon Pronko <platon7pronko@HIDDEN>, 41788 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Andreas Schwab <schwab@HIDDEN> writes:

> It's not emacsclient that is complaining, it just displays the error
> raised by emacs.  But it is hard to guess what's going on without
> knowing the exact command line.

/usr/bin/vipe is just a Perl script, so it's easy to hack.  Let's see...
it just calls:

emacsclient -t /tmp/KtLHpMIm4T

I've included the entire vipe script below.

#!/usr/bin/perl

use warnings;
use strict;
use File::Temp q{tempfile};
use Getopt::Long;

$/=undef;

my $suffix = "";
if (! GetOptions("suffix=s" => \$suffix)) {
	die "Usage: $0 [--suffix=extension]\n";
}
$suffix = ".$suffix" if $suffix =~ m/^[^.]/;

my ($fh, $tmp)=tempfile(UNLINK => 1, SUFFIX => $suffix);
die "cannot create tempfile" unless $fh;
if (! -t STDIN) {
	print ($fh <STDIN>) || die "write temp: $!";
}
close $fh;
close STDIN;
open(STDIN, "</dev/tty") || die "reopen stdin: $!";
open(OUT, ">&STDOUT") || die "save stdout: $!";
close STDOUT;
open(STDOUT, ">/dev/tty") || die "reopen stdout: $!";

my @editor="vi";
if (-x "/usr/bin/editor") {
	@editor="/usr/bin/editor";
}
if (exists $ENV{EDITOR}) {
	@editor=split(' ', $ENV{EDITOR});
}
if (exists $ENV{VISUAL}) {
	@editor=split(' ', $ENV{VISUAL});
}
my $ret=system(@editor, $tmp);
if ($ret != 0) {
	die "@editor exited nonzero, aborting\n";
}

open (IN, $tmp) || die "$0: cannot read $tmp: $!\n";
print (OUT <IN>) || die "write failure: $!";
close IN;


-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41788; Package emacs. Full text available.

Message received at 41788 <at> debbugs.gnu.org:


Received: (at 41788) by debbugs.gnu.org; 6 Jun 2022 14:44:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 06 10:44:23 2022
Received: from localhost ([127.0.0.1]:36463 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nyDxu-0000b6-VV
	for submit <at> debbugs.gnu.org; Mon, 06 Jun 2022 10:44:23 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:34663)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1nyDxq-0000av-Bu
 for 41788 <at> debbugs.gnu.org; Mon, 06 Jun 2022 10:44:21 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4LGx8J5nVdz1s88y;
 Mon,  6 Jun 2022 16:44:16 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4LGx8J3538z1qqkB;
 Mon,  6 Jun 2022 16:44:16 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id WZ58YSpLrnBh; Mon,  6 Jun 2022 16:44:15 +0200 (CEST)
X-Auth-Info: y0ySwDF3IIT2jLWq22j9G2lIG2vomEm7QkuoW5fh6q2iUcdniVFg9J+l14aRPuBQ
Received: from igel.home (ppp-46-244-164-156.dynamic.mnet-online.de
 [46.244.164.156])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Mon,  6 Jun 2022 16:44:15 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id 218D92C3A3E; Mon,  6 Jun 2022 16:44:15 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#41788: 28.0.50; emacsclient -t doesn't work with vipe from
 moreutils
References: <288bd9d3-1c7c-e3fa-fd02-e1287f8329ec@HIDDEN>
 <87wndtuc1k.fsf@HIDDEN>
X-Yow: Okay, BARBRA STREISAND, I recognize you now!!  Also EFREM ZIMBALIST,
 JUNIOR!!  And BEAUMONT NEWHALL!!  Everybody into th' BATHROOM!
Date: Mon, 06 Jun 2022 16:44:15 +0200
In-Reply-To: <87wndtuc1k.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 06 Jun 2022 16:00:39 +0200")
Message-ID: <87r141hmww.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 41788
Cc: Platon Pronko <platon7pronko@HIDDEN>, 41788 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

On Jun 06 2022, Lars Ingebrigtsen wrote:

> Platon Pronko <platon7pronko@HIDDEN> writes:
>
>> $ echo a | EDITOR='emacsclient -t' vipe
>> *ERROR*: Could not open file: /dev/tty
>> emacsclient -t exited nonzero, aborting
>>
>> (vipe is a tool from moreutils, used to insert an editor in the middle of
>> the pipeline)
>>
>> Looking inside vipe source I see that it reopens stdin before calling
>> the EDITOR:
>>
>> close STDIN;
>> open(STDIN, "</dev/tty") || die "reopen stdin: $!";
>>
>> If I use for example nano instead of emacsclient -t then everything works correctly.
>
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
>
> This problem is still present in Emacs 29.  Does anybody understand
> where the misbehaviour between this STDIN redirect and what emacsclient
> is complaining about can be fixed?

It's not emacsclient that is complaining, it just displays the error
raised by emacs.  But it is hard to guess what's going on without
knowing the exact command line.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41788; Package emacs. Full text available.

Message received at 41788 <at> debbugs.gnu.org:


Received: (at 41788) by debbugs.gnu.org; 6 Jun 2022 14:00:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 06 10:00:52 2022
Received: from localhost ([127.0.0.1]:36362 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nyDHo-0001Yt-AT
	for submit <at> debbugs.gnu.org; Mon, 06 Jun 2022 10:00:52 -0400
Received: from quimby.gnus.org ([95.216.78.240]:40410)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nyDHk-0001PO-Rk
 for 41788 <at> debbugs.gnu.org; Mon, 06 Jun 2022 10:00:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=8cd4Y1Xo03EpDOolsOrOaQ0l2gcRD8OtaZLJDO+L8lc=; b=THMRfjqpUnKWONsM0JH9lheq1c
 VjNylZowaaaG0IoeZ294tj/jLbnF2tctpYw7V1FdPfZtZYL4T1j3yJNDKgdhGCuezuco0fJQ8spAq
 tIOLyVnwSw4GHVosnSCQr1B82fpfJSb4a+eBb73iPGkkWBtYHN3RI7zaG8fs0InKH1nc=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nyDHb-0003b5-Uq; Mon, 06 Jun 2022 16:00:42 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Platon Pronko <platon7pronko@HIDDEN>
Subject: Re: bug#41788: 28.0.50; emacsclient -t doesn't work with vipe from
 moreutils
References: <288bd9d3-1c7c-e3fa-fd02-e1287f8329ec@HIDDEN>
X-Now-Playing: Cabaret Of Complexity's _Tuxedomooning: A Tribute_: "Blind"
Date: Mon, 06 Jun 2022 16:00:39 +0200
In-Reply-To: <288bd9d3-1c7c-e3fa-fd02-e1287f8329ec@HIDDEN> (Platon Pronko's
 message of "Wed, 10 Jun 2020 16:19:45 +0300")
Message-ID: <87wndtuc1k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Platon Pronko <platon7pronko@HIDDEN> writes: > $ echo a
 | EDITOR='emacsclient -t' vipe > *ERROR*: Could not open file: /dev/tty >
 emacsclient -t exited nonzero, aborting > > (vipe is a tool from moreutils,
 used to insert an editor in the middle [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41788
Cc: 41788 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Platon Pronko <platon7pronko@HIDDEN> writes:

> $ echo a | EDITOR='emacsclient -t' vipe
> *ERROR*: Could not open file: /dev/tty
> emacsclient -t exited nonzero, aborting
>
> (vipe is a tool from moreutils, used to insert an editor in the middle of
> the pipeline)
>
> Looking inside vipe source I see that it reopens stdin before calling
> the EDITOR:
>
> close STDIN;
> open(STDIN, "</dev/tty") || die "reopen stdin: $!";
>
> If I use for example nano instead of emacsclient -t then everything works correctly.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

This problem is still present in Emacs 29.  Does anybody understand
where the misbehaviour between this STDIN redirect and what emacsclient
is complaining about can be fixed?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41788; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Jun 2020 13:20:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 10 09:20:00 2020
Received: from localhost ([127.0.0.1]:33555 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jj0e7-0005zv-IE
	for submit <at> debbugs.gnu.org; Wed, 10 Jun 2020 09:20:00 -0400
Received: from lists.gnu.org ([209.51.188.17]:35518)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <platon7pronko@HIDDEN>) id 1jj0e6-0005zo-1z
 for submit <at> debbugs.gnu.org; Wed, 10 Jun 2020 09:19:58 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51156)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <platon7pronko@HIDDEN>)
 id 1jj0e5-0004Na-HO
 for bug-gnu-emacs@HIDDEN; Wed, 10 Jun 2020 09:19:57 -0400
Received: from mail-lj1-x230.google.com ([2a00:1450:4864:20::230]:42329)
 by eggs.gnu.org with esmtps (TLS1.3:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <platon7pronko@HIDDEN>)
 id 1jj0e3-0006L4-Rf
 for bug-gnu-emacs@HIDDEN; Wed, 10 Jun 2020 09:19:57 -0400
Received: by mail-lj1-x230.google.com with SMTP id y11so2421822ljm.9
 for <bug-gnu-emacs@HIDDEN>; Wed, 10 Jun 2020 06:19:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=to:from:subject:message-id:date:user-agent:mime-version
 :content-language:content-transfer-encoding;
 bh=q1WpSSBAIgV37H9k38y8pIY8rW2EXnYFecjLTjL/vqg=;
 b=EVIoYtcs6NtxQt6o9gg0OF5LhLMdGLlyNImzFvYt7bSbBwFZfHTG4QflM3h2eBbnkg
 sPz4ZPFZtpNbpCK2vxkKue8qHUyMA3OChdVj77Hv4ZgT8MLaiwtygpQM3KdA7trRVYrK
 tupfe45Ing1K3WhnhQ4RAusjhp4Qi/qvrcQFspl87LZ4g51h89qRdayuHVpFv0fgrTY1
 rPZ8cAeJ3pSu0tj6h8VbSf1KlEVyVBdeYmRtaTE+Dsv8qgOWcoVmyGg3nx+kCgqRqhEK
 vMN0M82qJpjS17TJoFv38H/28la2hrIW+pfezsJeSMy7h7G0PXsmjxaY+0hZOfMrQiT2
 LzPg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:from:subject:message-id:date:user-agent
 :mime-version:content-language:content-transfer-encoding;
 bh=q1WpSSBAIgV37H9k38y8pIY8rW2EXnYFecjLTjL/vqg=;
 b=Va6svFRdaekV3Fd3DC8kHXcX2LDvsuq2hiLUWW5ZCtXHzNRCBBKanD3BAKXzrKvIkd
 HqBRcUH4s/3yeiryN7eaTbyJJF94cWaWWPvbDWNL62oGyBWNLV4ps9Vo4GzUnqkSyYjN
 uT6qPWxkIUvRMiUpxkVByUHioZ2zSUqF7x6rwcX6LbOSyrVT4CHMMKclwUklanFlhPyd
 8jR+QKgBYRttruLkR1UZ5j8wViBTqKAyNfkcjOlBhKZic1dWitENYKjYHLh0L6ja4bnK
 DRqX/zQCE9GLJsddWTnPFYlJiPP37h+fu9eWl2WdkILL7N6gMvi7JR+O0Udw8kPA1v3H
 RU1A==
X-Gm-Message-State: AOAM531tkyYOdgpdEqyMvTQgtmUet3wD7sbmBgGXeWFn5MzyDgDknRJ1
 oMp3msxPU+LeczNmHrVxOKfhfM/8
X-Google-Smtp-Source: ABdhPJyP2Wr2wQF1MFCrawAyPzsmZ348zpUYZEapEifDlXTwhs5ROhUIzVJLf/CcGHEoY7/ZntgkIw==
X-Received: by 2002:a2e:a17a:: with SMTP id u26mr1684687ljl.235.1591795188024; 
 Wed, 10 Jun 2020 06:19:48 -0700 (PDT)
Received: from [192.168.1.65] ([109.252.79.161])
 by smtp.gmail.com with ESMTPSA id q17sm5821431lfa.28.2020.06.10.06.19.46
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 10 Jun 2020 06:19:46 -0700 (PDT)
To: bug-gnu-emacs@HIDDEN
From: Platon Pronko <platon7pronko@HIDDEN>
Subject: 28.0.50; emacsclient -t doesn't work with vipe from moreutils
Message-ID: <288bd9d3-1c7c-e3fa-fd02-e1287f8329ec@HIDDEN>
Date: Wed, 10 Jun 2020 16:19:45 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.9.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
Received-SPF: pass client-ip=2a00:1450:4864:20::230;
 envelope-from=platon7pronko@HIDDEN; helo=mail-lj1-x230.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

When trying to use "emacsclient -t" with vipe I get an error:

$ echo a | EDITOR='emacsclient -t' vipe
*ERROR*: Could not open file: /dev/tty
emacsclient -t exited nonzero, aborting

(vipe is a tool from moreutils, used to insert an editor in the middle of
the pipeline)

Looking inside vipe source I see that it reopens stdin before calling
the EDITOR:

close STDIN;
open(STDIN, "</dev/tty") || die "reopen stdin: $!";

If I use for example nano instead of emacsclient -t then everything works correctly.


In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.20, cairo version 1.17.3)
  of 2020-06-04 built on the-big-maker
Repository revision: cdadb7a97cbed523af9f52705d8b03e91d17313f
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12008000
System Description: Arch Linux

Configured using:
  'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
  --localstatedir=/var --mandir=/usr/share/man --with-gameuser=:games
  --with-sound=alsa --with-modules --without-gconf --without-gsettings
  --with-x-toolkit=gtk3 --without-xaw3d --without-compress-install
  'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fno-plt -flto'
  CPPFLAGS=-D_FORTIFY_SOURCE=2
  LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GLIB NOTIFY INOTIFY ACL
GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD JSON
PDUMPER LCMS2 GMP

Important settings:
   value of $LC_TIME: en_SE.UTF-8
   value of $LANG: en_US.UTF-8
   locale-coding-system: utf-8-unix

Major mode: SQL[ANSI]

Minor modes in effect:
   recentf-mode: t
   global-magit-file-mode: t
   magit-file-mode: t
   magit-auto-revert-mode: t
   rainbow-delimiters-mode: t
   counsel-mode: t
   ivy-mode: t
   global-git-gutter-mode: t
   git-gutter-mode: t
   global-git-commit-mode: t
   async-bytecomp-package-mode: t
   shell-dirtrack-mode: t
   global-auto-revert-mode: t
   global-whitespace-mode: t
   global-dvorak-mode: t
   dvorak-minor-mode: t
   tooltip-mode: t
   global-eldoc-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   column-number-mode: t
   line-number-mode: t
   transient-mark-mode: t

Load-path shadows:
/home/platon/.emacs.d/elpa/lispy-20200519.737/elpa hides /home/platon/.emacs.d/elpa/ivy-20200605.1134/elpa
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-ns hides /usr/share/emacs/site-lisp/cider-ns
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-classpath hides /usr/share/emacs/site-lisp/cider-classpath
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-stacktrace hides /usr/share/emacs/site-lisp/cider-stacktrace
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-clojuredocs hides /usr/share/emacs/site-lisp/cider-clojuredocs
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-doc hides /usr/share/emacs/site-lisp/cider-doc
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider hides /usr/share/emacs/site-lisp/cider
/home/platon/.emacs.d/elpa/parseclj-20190531.711/parseclj-ast hides /usr/share/emacs/site-lisp/parseclj-ast
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-connection hides /usr/share/emacs/site-lisp/cider-connection
/home/platon/.emacs.d/elpa/cider-20200604.1627/nrepl-client hides /usr/share/emacs/site-lisp/nrepl-client
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-popup hides /usr/share/emacs/site-lisp/cider-popup
/home/platon/.emacs.d/elpa/parseedn-20200419.1124/parseedn hides /usr/share/emacs/site-lisp/parseedn
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-cheatsheet hides /usr/share/emacs/site-lisp/cider-cheatsheet
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-debug hides /usr/share/emacs/site-lisp/cider-debug
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-completion hides /usr/share/emacs/site-lisp/cider-completion
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-eval hides /usr/share/emacs/site-lisp/cider-eval
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-repl hides /usr/share/emacs/site-lisp/cider-repl
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-inspector hides /usr/share/emacs/site-lisp/cider-inspector
/home/platon/.emacs.d/elpa/parseclj-20190531.711/parseclj hides /usr/share/emacs/site-lisp/parseclj
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-util hides /usr/share/emacs/site-lisp/cider-util
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-eldoc hides /usr/share/emacs/site-lisp/cider-eldoc
/home/platon/.emacs.d/elpa/parseclj-20190531.711/parseclj-parser hides /usr/share/emacs/site-lisp/parseclj-parser
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-browse-ns hides /usr/share/emacs/site-lisp/cider-browse-ns
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-macroexpansion hides /usr/share/emacs/site-lisp/cider-macroexpansion
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-resolve hides /usr/share/emacs/site-lisp/cider-resolve
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-compat hides /usr/share/emacs/site-lisp/cider-compat
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-format hides /usr/share/emacs/site-lisp/cider-format
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-common hides /usr/share/emacs/site-lisp/cider-common
/home/platon/.emacs.d/elpa/a-20180907.953/a hides /usr/share/emacs/site-lisp/a
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-profile hides /usr/share/emacs/site-lisp/cider-profile
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-selector hides /usr/share/emacs/site-lisp/cider-selector
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-client hides /usr/share/emacs/site-lisp/cider-client
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-scratch hides /usr/share/emacs/site-lisp/cider-scratch
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-repl-history hides /usr/share/emacs/site-lisp/cider-repl-history
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-find hides /usr/share/emacs/site-lisp/cider-find
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-test hides /usr/share/emacs/site-lisp/cider-test
/home/platon/.emacs.d/elpa/cider-20200604.1627/nrepl-dict hides /usr/share/emacs/site-lisp/nrepl-dict
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-overlays hides /usr/share/emacs/site-lisp/cider-overlays
/home/platon/.emacs.d/elpa/protobuf-mode-20200520.15/protobuf-mode hides /usr/share/emacs/site-lisp/protobuf-mode
/home/platon/.emacs.d/elpa/parseclj-20190531.711/parseclj-lex hides /usr/share/emacs/site-lisp/parseclj-lex
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-mode hides /usr/share/emacs/site-lisp/cider-mode
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-xref hides /usr/share/emacs/site-lisp/cider-xref
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-apropos hides /usr/share/emacs/site-lisp/cider-apropos
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-browse-spec hides /usr/share/emacs/site-lisp/cider-browse-spec
/home/platon/.emacs.d/elpa/cider-20200604.1627/cider-tracing hides /usr/share/emacs/site-lisp/cider-tracing
/home/platon/.emacs.d/elpa/clojure-mode-20200419.559/clojure-mode hides /usr/share/emacs/site-lisp/clojure-mode
/home/platon/.emacs.d/elpa/epl-20180205.2049/epl hides /usr/share/emacs/site-lisp/epl/epl
/home/platon/.emacs.d/elpa/pkg-info-20150517.1143/pkg-info hides /usr/share/emacs/site-lisp/pkg-info/pkg-info
/home/platon/.emacs.d/elpa/queue-0.2/queue hides /usr/share/emacs/site-lisp/queue/queue
/home/platon/.emacs.d/elpa/sesman-20190909.1754/sesman-browser hides /usr/share/emacs/site-lisp/sesman/sesman-browser
/home/platon/.emacs.d/elpa/sesman-20190909.1754/sesman hides /usr/share/emacs/site-lisp/sesman/sesman
/home/platon/.emacs.d/elpa/spinner-1.7.3/spinner hides /usr/share/emacs/site-lisp/spinner/spinner
/home/platon/.emacs.d/elpa/less-css-mode-20161001.453/less-css-mode hides /usr/share/emacs/28.0.50/lisp/textmodes/less-css-mode

Features:
(shadow sort emacsbug sendmail term disp-table ehelp tramp-cmds
make-mode sql view mhtml-mode term/xterm xterm smartparens-python python
bs mail-extr tabify ox-odt rng-loc rng-uri rng-parse rng-match rng-dt
rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok nxml-util ox-latex
ox-icalendar ox-html table ox-ascii ox-publish ox sh-script executable
org-indent bug-reference conf-mode magit-patch magit-subtree magit-ediff
ediff ediff-merg ediff-mult ediff-wind ediff-diff ediff-help ediff-init
ediff-util eieio-opt dabbrev ffap misearch multi-isearch tramp-cache
tramp-sh recentf tree-widget magit-bookmark bookmark pp magit-extras
magit-submodule magit-obsolete magit-blame magit-stash magit-reflog
magit-bisect magit-push magit-pull magit-fetch magit-clone magit-remote
magit-commit magit-sequence magit-notes magit-worktree magit-tag
magit-merge magit-branch magit-reset magit-files magit-refs magit-status
magit magit-repos magit-apply magit-wip magit-log which-func magit-diff
smerge-mode diff diff-mode magit-core magit-autorevert magit-margin
magit-transient magit-process magit-mode rainbow-delimiters org-element
avl-tree ol-w3m ol-rmail ol-mhe ol-irc ol-info org-habit org-agenda
ol-gnus nnir gnus-sum gnus-group gnus-undo gnus-start gnus-cloud nnimap
nnmail mail-source utf7 netrc nnoo gnus-spec gnus-int gnus-range
gnus-win ol-eww ol-docview doc-view jka-compr image-mode exif ol-bibtex
bibtex ol-bbdb lispy pcase lispy-inline avy edebug backtrace help-fns
radix-tree lispy-tags mode-local counsel xdg swiper ivy delsel ivy-faces
ivy-overlay colir smartparens-config smartparens-javascript
smartparens-rust smartparens-ruby smartparens-org smartparens-text
smartparens-html smartparens-c smartparens git-gutter-fringe
fringe-helper git-gutter hydra lv git-commit with-editor async-bytecomp
async transient cl-extra server magit-git magit-section magit-utils crm
log-edit message rmc dired dired-loaddefs rfc822 mml mml-sec epa epg
epg-config mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader pcvs-util dash tramp tramp-loaddefs trampver
tramp-integration files-x tramp-compat shell parse-time iso8601 ls-lisp
lpr rust-mode php-mode rx speedbar ezimage dframe etags fileloop
generator xref project flymake-proc flymake compile warnings add-log
cc-langs autorevert filenotify whitespace sass-mode haml-mode js cc-mode
cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars
cc-defs css-mode sgml-mode imenu eww mm-url gnus nnheader gnus-util
rmail rmail-loaddefs rfc2047 rfc2045 ietf-drums mail-utils wid-edit
mm-util mail-prsvr thingatpt url-queue url url-proxy url-privacy
url-expand url-methods url-history mailcap shr text-property-search
url-cookie url-domsuf url-util puny svg xml dom color ruby-mode smie
windmove quail help-mode besi derived scala-mode-inf cl
scala-mode-constants scala-mode-lib scala-mode-ui textindent edmacro
kmacro org ob ob-tangle ob-ref ob-lob ob-table ob-exp org-macro
org-footnote org-src ob-comint org-pcomplete pcomplete comint ansi-color
ring org-list org-faces org-entities time-date noutline outline
easy-mmode org-version ob-emacs-lisp ob-core ob-eval org-table ol
org-keys org-compat advice org-macs org-loaddefs format-spec find-func
cal-menu calendar cal-loaddefs darcula-theme finder-inf
scala-mode2-autoloads info package easymenu browse-url url-handlers
url-parse auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json subr-x map url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
font-render-setting cairo move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 623254 95403)
   (symbols 48 47866 1)
   (strings 32 197193 14289)
   (string-bytes 1 6125919)
   (vectors 16 83568)
   (vector-slots 8 1548448 96210)
   (floats 8 399 662)
   (intervals 56 10173 917)
   (buffers 992 65))




Acknowledgement sent to Platon Pronko <platon7pronko@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#41788; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 14 Jun 2022 11:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.